clang-tools 8.0.0

List of all members
clang::clangd::Note Struct Reference

Represents a note for the diagnostic. More...

`#include <Diagnostics.h>`

Inheritance diagram for clang::clangd::Note:
[legend]
Collaboration diagram for clang::clangd::Note:
[legend]

## Additional Inherited Members
Public Attributes inherited from clang::clangd::DiagBase
std::string | Message
std::string | File
clangd::Range | Range
DiagnosticsEngine::Level | Severity = DiagnosticsEngine::Note
std::string | Category
bool | InsideMainFile = false

## Detailed Description

Represents a note for the diagnostic.

Severity of notes can only be 'note' or 'remark'.

Definition at line 64 of file Diagnostics.h.

The documentation for this struct was generated from the following file:

- Diagnostics.h